Bug 136454 - Cannot build individual modules
Summary: Cannot build individual modules
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-20 06:10 UTC by Jerry Amundson
Modified: 2015-01-04 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 05:36:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jerry Amundson 2004-10-20 06:10:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Running "make fs/coda/", as listed in help, builds object files, but not installable modules. For example...

Yesterday 10:15:31 pm

[root@stp linux-2.6.8-1.521]# make fs/coda/
 SPLIT   include/linux/autoconf.h -> include/config/*
 CC      scripts/mod/empty.o
 HOSTCC  scripts/mod/mk_elfconfig
 MKELF   scripts/mod/elfconfig.h
 HOSTCC  scripts/mod/file2alias.o
 HOSTCC  scripts/mod/modpost.o
 HOSTCC  scripts/mod/sumversion.o
 HOSTLD  scripts/mod/modpost
 HOSTCC  scripts/conmakehash
 HOSTCC  scripts/kallsyms
 HOSTCC  scripts/pnmtologo
 HOSTCC  scripts/bin2c
 SYMLINK include/asm -> include/asm-i386
 CHK     include/linux/version.h
 UPD     include/linux/version.h
 CC      arch/i386/kernel/asm-offsets.s
 CHK     include/asm-i386/asm_offsets.h
 UPD     include/asm-i386/asm_offsets.h
 LD      fs/coda/built-in.o
 CC [M]  fs/coda/psdev.o
 CC [M]  fs/coda/cache.o
 CC [M]  fs/coda/cnode.o
 CC [M]  fs/coda/inode.o
 CC [M]  fs/coda/dir.o
 CC [M]  fs/coda/file.o
 CC [M]  fs/coda/upcall.o
 CC [M]  fs/coda/coda_linux.o
 CC [M]  fs/coda/symlink.o
 CC [M]  fs/coda/pioctl.o
 CC [M]  fs/coda/sysctl.o
 LD [M]  fs/coda/coda.o
/bin/sh: line 1: .tmp_versions/coda.mod: No such file or directory
[root@stp linux-2.6.8-1.521]# 

Version-Release number of selected component (if applicable):
kernel-sourcecode-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1.cd /usr/src/linux-2.6.8-1.521
2.make fs/coda/
3.
    

Actual Results:  Code gets compiled.

Expected Results:  Code compiles, then is linked to create a loadable module.

Additional info:

Also, the relationship between /lib/modules/2.6.8-1.521/build and
/usr/src/linux-2.6.8-1.521 is confusing.

Comment 1 Dave Jones 2004-10-29 05:36:40 UTC
make help doesn't mention that it should build the modules.
(nor should it, its done at a different stage)

if you want this to change, take it up with upstream.



Note You need to log in before you can comment on or make changes to this bug.